//----------------------------------------------------------------
//-- FixSound version 1 
//-----------------------------------------------------------------
#ifndef FixSound_h
#define FixSound_h

#include "F_sound.h"
#include <TimerFreeTone.h>

class FixSound
{
  public:

    //-- FixSound initialization
    void init(int Buzzer);
    
    //-- Sounds
    void _tone (float noteFrequency, long noteDuration, int silentDuration);
    void bendTones (float initFrequency, float finalFrequency, float prop, long noteDuration, int silentDuration);
    void sing(int songName);
        
  private:
   
    int pinBuzzer;
        
};

#endif


